# python-Cython

The Cython language makes writing C extensions for the Python language as easy as Python itself.  Cython is a source code translator based on the well-known Pyrex, but supports more cutting edge functionality and optimizations.
The Cython language is very close to the Python language (and most Python code is also valid Cython code), but Cython additionally supports calling C functions and declaring C types on variables and class attributes. This allows the compiler to generate very efficient C code from Cython code.
This makes Cython the ideal language for writing glue code for external C libraries, and for fast C modules that speed up the execution of Python code.

